## Scaling

- [Attribute scaling](#attribute-scaling)
- [Supported mods](#supported-mods)

### Attribute Scaling
CPM can apply some scaling settings using [attributes](https://minecraft.wiki/w/Attribute). See the list below for the supported attributes per Minecraft version:  
| Minecraft Version | Entity Scaling | Motion Scale | Step Height | Flight Speed | Reach | Attack Knockback | Attack Damage Scale | Defense Scale | Health | Mob Visibility | Knockback Resist Scale | 
| --- |  --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| 1.7 - 1.8 | No | Yes | No | No | No | No | Yes | No | Yes | Yes | Yes |
| 1.10 | No | Yes | No | No | No | No | Yes | Yes | Yes | Yes | Yes |
| 1.12 | No | Yes | No | Yes | Yes | No | Yes | Yes | Yes | Yes | Yes |
| 1.14 - 1.17 | No | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes |
| 1.18 - 1.20.4 | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes |
| 1.20.5 | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes |
Method name: `attribute`  

### Supported mods

#### Pehkui
Only on 1.14+  
Player size, health, movement, and various attributes can be scaled:  
Method name: `pehkui`  
[CurseForge](https://www.curseforge.com/minecraft/mc-mods/pehkui), [Modrinth](https://modrinth.com/mod/pehkui)  

#### Chiseled Me
Only on 1.10.2 and 1.12.2  
Only supports Entity Scaling  
Method name: `chiseledme`  
[CurseForge](https://www.curseforge.com/minecraft/mc-mods/chiseled-me)  

#### ArtemisLib
Only on 1.12.2  
Only supports Entity Scaling, Width, Height  
Method name: `artemislib`  
[CurseForge](https://www.curseforge.com/minecraft/mc-mods/artemislib)  

## Server settings
Some attributes' scaling is disabled by default and have to be enabled using the [/cpm command](https://github.com/tom5454/CustomPlayerModels/wiki/The--cpm-command#scaling) on the server.  


